<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): GTGReplay.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GTGReplay.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GTGReplay_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef GTG_REPLAY_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define GTG_REPLAY_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009f">   15</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009f">event_type_t</a> {</div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa283c84a2d7c9e8d64bb2837e038b5658">   16</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa283c84a2d7c9e8d64bb2837e038b5658">event_addContainer</a>,</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa6b806b6a37bd56b2ff5d9c49fae14568">   17</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa6b806b6a37bd56b2ff5d9c49fae14568">event_destroyContainer</a>,</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009faa1dba78ec3bc9c2d600e826059fa41a6">   18</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009faa1dba78ec3bc9c2d600e826059fa41a6">event_setState</a>,</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009facf01d27fbbf451c8d71510524bb53dca">   19</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009facf01d27fbbf451c8d71510524bb53dca">event_pushState</a>,</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fab3a70a47da2a91753e2f0d5069630954">   20</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fab3a70a47da2a91753e2f0d5069630954">event_popState</a>,</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa808ea439b4e928e78cf4ccb80343098e">   21</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa808ea439b4e928e78cf4ccb80343098e">event_addEvent</a>,</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa58f8778ee7adecc9b7fb184c22a4080b">   22</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa58f8778ee7adecc9b7fb184c22a4080b">event_startLink</a>,</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa6c09a5a26e2838616e96437b83273f1a">   23</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa6c09a5a26e2838616e96437b83273f1a">event_endLink</a>,</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa03c82bd81a897f8a3f5529d862668453">   24</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa03c82bd81a897f8a3f5529d862668453">event_setVar</a>,</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fafd9a34d39a4c383420d3ae4222cb2d86">   25</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fafd9a34d39a4c383420d3ae4222cb2d86">event_addVar</a>,</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa7c81b73e8f427eebb591400172a4a281">   26</a></span>&#160;  <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa7c81b73e8f427eebb591400172a4a281">event_subVar</a></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;};</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group__GTGReplay.html#ga62705d596816b10e7d0c6ac91dcd15aa">gtg_record</a>(<span class="keyword">enum</span> <a class="code" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009f">event_type_t</a> type, <a class="code" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time, ...);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group__GTGReplay.html#ga2e5e466f37281ba7e671c00010763c9e">gtg_write_events</a>(<span class="keywordtype">long</span> nb_events_to_write);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* GTG_REPLAY_H */</span><span class="preprocessor"></span></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009f"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009f">event_type_t</a></div><div class="ttdeci">event_type_t</div><div class="ttdef"><b>Definition:</b> GTGReplay.h:15</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fa6b806b6a37bd56b2ff5d9c49fae14568"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa6b806b6a37bd56b2ff5d9c49fae14568">event_destroyContainer</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:17</div></div>
<div class="ttc" id="group__type_html_gabda13d5bcd0cbdb094d655181a857e25"><div class="ttname"><a href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a></div><div class="ttdeci">double varPrec</div><div class="ttdoc">Use the double precision type for time and value. </div><div class="ttdef"><b>Definition:</b> GTGTypes.h:28</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fa808ea439b4e928e78cf4ccb80343098e"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa808ea439b4e928e78cf4ccb80343098e">event_addEvent</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:21</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fa03c82bd81a897f8a3f5529d862668453"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa03c82bd81a897f8a3f5529d862668453">event_setVar</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:24</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fafd9a34d39a4c383420d3ae4222cb2d86"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fafd9a34d39a4c383420d3ae4222cb2d86">event_addVar</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:25</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009faa1dba78ec3bc9c2d600e826059fa41a6"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009faa1dba78ec3bc9c2d600e826059fa41a6">event_setState</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:18</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fa58f8778ee7adecc9b7fb184c22a4080b"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa58f8778ee7adecc9b7fb184c22a4080b">event_startLink</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:22</div></div>
<div class="ttc" id="group__GTGReplay_html_ga2e5e466f37281ba7e671c00010763c9e"><div class="ttname"><a href="group__GTGReplay.html#ga2e5e466f37281ba7e671c00010763c9e">gtg_write_events</a></div><div class="ttdeci">void gtg_write_events(long nb_events_to_write)</div><div class="ttdoc">run the first nb_events_to_write events </div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fa7c81b73e8f427eebb591400172a4a281"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa7c81b73e8f427eebb591400172a4a281">event_subVar</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:26</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fa6c09a5a26e2838616e96437b83273f1a"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa6c09a5a26e2838616e96437b83273f1a">event_endLink</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:23</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fab3a70a47da2a91753e2f0d5069630954"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fab3a70a47da2a91753e2f0d5069630954">event_popState</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:20</div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009facf01d27fbbf451c8d71510524bb53dca"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009facf01d27fbbf451c8d71510524bb53dca">event_pushState</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:19</div></div>
<div class="ttc" id="group__GTGReplay_html_ga62705d596816b10e7d0c6ac91dcd15aa"><div class="ttname"><a href="group__GTGReplay.html#ga62705d596816b10e7d0c6ac91dcd15aa">gtg_record</a></div><div class="ttdeci">void gtg_record(enum event_type_t type, varPrec time,...)</div><div class="ttdoc">postpone the recording of an event </div></div>
<div class="ttc" id="GTGReplay_8h_html_a3dc8b7ddb0947608b8d860bc469f009fa283c84a2d7c9e8d64bb2837e038b5658"><div class="ttname"><a href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009fa283c84a2d7c9e8d64bb2837e038b5658">event_addContainer</a></div><div class="ttdef"><b>Definition:</b> GTGReplay.h:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
